<?php get_header(); ?>
	
<!-- main-container -->
<section id="main-wrapper" role="main">

	<div class="container">
	<div class="row-fluid">

		<div id="content-wrapper" class="span12 content-full">
		
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	
			<!-- post entry -->
			<article id="post-<?php the_ID(); ?>" <?php post_class('attachment-single clearfix'); ?>>
				
				<div class="post-content">
				
					<?php
					$args = array('post_parent'		=> $post->post_parent, 
								  'post_status'		=> 'inherit', 
								  'post_type'		=> 'attachment', 
								  'post_mime_type'	=> 'image', 
								  'order'			=> 'ASC', 
								  'orderby'			=> 'menu_order ID');
                    $attachments = array_values( get_children($args) );
	
					foreach ( $attachments as $k => $attachment )
						if ( $attachment->ID == $post->ID )
						break;
		
						$next_url = isset($attachments[$k+1]) ? get_permalink($attachments[$k+1]->ID) : get_permalink($attachments[0]->ID);
						?>					
						<div class="post-thumb">
							<a class="zoom" href="<?php echo $next_url; ?>" rel="attachment">
								<?php echo wp_get_attachment_image( get_the_ID(), 'full' ); ?>
								<span class="zoom-overlay"></span>
								<span class="zoom-hover"></span>
							</a>
						</div>
					
				</div>
		
				<!-- post nav -->
				<div class="post-nav">
                    <div class="post-prev"><?php previous_image_link( false ); ?></div>
                    <div class="post-next"><?php next_image_link( false ); ?></div>
                </div>
				<!-- end post nav -->
	
			</article>
			<!-- end post entry -->
				
			<?php endwhile; endif; ?>
		   
		</div>
	
	</div>
	</div>

</section>
<!-- end main-container -->

<?php get_footer(); ?>