<?php

if ( is_archive() ) {
	if (!function_exists('dynamic_sidebar') || !dynamic_sidebar( st_option('sidebar_archive', 'General') )) : ?><?php endif;
}
elseif ( is_search() ) {
	if (!function_exists('dynamic_sidebar') || !dynamic_sidebar( st_option('sidebar_search', 'General') )) : ?><?php endif;
}
elseif ( is_single() ) {
	if (!function_exists('dynamic_sidebar') || !dynamic_sidebar( st_option('sidebar_single', 'General') )) : ?><?php endif;
}
elseif ( is_page() ) {
	$page_sidebar = get_post_meta($post->ID, '_page_sidebar', TRUE);
	if (!function_exists('dynamic_sidebar') || !dynamic_sidebar( $page_sidebar )) : ?><?php endif;
}
else {
	if (!function_exists('dynamic_sidebar') || !dynamic_sidebar( 'General' )) : ?><?php endif;
}

?>